Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[AMD64]Errore compilazione tk, gnome-icon-theme e openoffice
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Crowbar90
n00b
n00b


Joined: 20 Sep 2007
Posts: 16
Location: Bologna, Italy

PostPosted: Thu Sep 20, 2007 4:31 pm    Post subject: [AMD64]Errore compilazione tk, gnome-icon-theme e openoffice Reply with quote

Mi presento qui sul forum con un primo post di richiesta di aiuto. Stavo eseguendo un aggiornamento del sistema, quando mi sono accorto degli errori nella compilazione di questi pacchetti. Parto con tk, in seguito posterò gli errori ricevuti durante la compilazione degli altri due.

Ho eseguito un emerge --sync e un emerge --DuNa world, una volta arrivato a tk ricevo il seguente errore:

Quote:
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/dev-lang/tk-8.4.15-r1/work/tk8.4.15 ...
./configure --prefix=/usr --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --with-tcl=/usr/lib64 --disable-threads --disable-symbols --libdir=/usr/lib64 --build=x86_64-pc-linux-gnu
checking for Tcl configuration... found /usr/lib64/tclConfig.sh
checking for existence of /usr/lib64/tclConfig.sh... loading
checking for tclsh... /usr/bin/tclsh8.5
checking for tclsh in Tcl build directory... /usr/lib64/tclsh
configure: error: /usr/lib64/tclConfig.sh is for Tcl 8.5.
Tk 8.4.15 needs Tcl 8.4.
Use --with-tcl= option to indicate location of tclConfig.sh file for Tcl 8.4.

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/dev-lang/tk-8.4.15-r1/work/tk8.4.15/unix/config.log
*
* ERROR: dev-lang/tk-8.4.15-r1 failed.
* Call stack:
* ebuild.sh, line 1654: Called dyn_compile
* ebuild.sh, line 990: Called qa_call 'src_compile'
* ebuild.sh, line 44: Called src_compile
* tk-8.4.15-r1.ebuild, line 71: Called econf '--with-tcl=/usr/lib64' '--disable-threads' '--disable-symbols'
* ebuild.sh, line 591: Called die
*
* econf failed
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/dev-lang/tk-8.4.15-r1/temp/build.log'.
*

* Messages for package dev-lang/tk-8.4.15-r1:

*
* ERROR: dev-lang/tk-8.4.15-r1 failed.
* Call stack:
* ebuild.sh, line 1654: Called dyn_compile
* ebuild.sh, line 990: Called qa_call 'src_compile'
* ebuild.sh, line 44: Called src_compile
* tk-8.4.15-r1.ebuild, line 71: Called econf '--with-tcl=/usr/lib64' '--disable-threads' '--disable-symbols'
* ebuild.sh, line 591: Called die
*
* econf failed
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/dev-lang/tk-8.4.15-r1/temp/build.log'.
*


Ecco anche l'output di emerge --info, in caso vi serva.

Quote:
Portage 2.1.3.9 (default-linux/amd64/2007.0/desktop, gcc-4.1.2, glibc-2.5-r4, 2.6.22-gentoo-r6 x86_64)
=================================================================
System uname: 2.6.22-gentoo-r6 x86_64 AMD Athlon(tm) 64 Processor 4000+
Timestamp of tree: Thu, 20 Sep 2007 14:20:01 +0000
ccache version 2.4 [enabled]
app-shells/bash: 3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python: 2.4.4-r4
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache: 2.4-r7
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox: 1.2.17
sys-devel/autoconf: 2.13, 2.61
sys-devel/automake: 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils: 2.17-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool: 1.5.24
virtual/os-headers: 2.6.21
ABI="amd64"
ACCEPT_KEYWORDS="amd64"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol"
ANT_HOME="/usr/share/ant"
ARCH="amd64"
ASFLAGS_x86="--32"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CCACHE_SIZE="2G"
CDEFINE_amd64="__x86_64__"
CDEFINE_x86="__i386__"
CFLAGS="-march=athlon64 -O2 -pipe"
CFLAGS_x86="-m32 -L/emul/linux/x86/lib -L/emul/linux/x86/usr/lib"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLASSPATH="."
CLEAN_DELAY="5"
COLORTERM=""
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo"
CVS_RSH="ssh"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-PA6w8G4vAQ,guid=c4924870fc0a1281d512050046f28703"
DEFAULT_ABI="amd64"
DESKTOP_SESSION="xgl"
DISPLAY=":1.0"
DISTDIR="/usr/portage/distfiles"
DM_CONTROL="/var/run/xdmctl"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--verbose"
EMERGE_WARNING_DELAY="10"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
FETCHCOMMAND="/usr/bin/getdelta.sh ${URI}"
GCC_PATH="/usr/x86_64-pc-linux-gnu/gcc-bin/4.1.2"
GCC_SPECS=""
GDK_USE_XFT="1"
GENERATION="2"
GENTOO_MIRRORS="ftp://mirror.ing.unibo.it/gentoo/ http://mirror.ing.unibo.it/gentoo/ http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/"
GS_LIB="/home/francesco/.fonts"
GTK2_RC_FILES="/etc/gtk-2.0/gtkrc:/home/francesco/.gtkrc-2.0:/home/francesco/.kde3.5/share/config/gtkrc-2.0"
GTK_RC_FILES="/etc/gtk/gtkrc:/home/francesco/.gtkrc:/home/francesco/.kde3.5/share/config/gtkrc"
G_BROKEN_FILENAMES="1"
G_FILENAME_ENCODING="UTF-8"
HOME="/home/francesco"
INFOPATH="/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.16.1/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2/info"
INPUT_DEVICES="keyboard mouse"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KDEDIRS="/usr:/usr/local:/usr/kde/3.5"
KDEWM="kwin"
KDE_FULL_SESSION="true"
KDE_MULTIHEAD="false"
KDE_SESSION_UID="1000"
KERNEL="linux"
KONSOLE_DCOP="DCOPRef(konsole-8132,konsole)"
KONSOLE_DCOP_SESSION="DCOPRef(konsole-8132,session-2)"
LANG="it_IT@euro"
LCD_DEVICES="g15"
LC_ALL="it_IT@euro"
LC_COLLATE="it_IT@euro"
LC_CTYPE="it_IT@euro"
LC_MESSAGES="it_IT@euro"
LC_MONETARY="it_IT@euro"
LC_NUMERIC="it_IT@euro"
LC_PAPER="it_IT@euro"
LC_TIME="it_IT@euro"
LDFLAGS_x86="-m elf_i386 -L/emul/linux/x86/lib -L/emul/linux/x86/usr/lib"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LIBDIR_amd64="lib64"
LIBDIR_x86="lib32"
LIBGL_DRIVERS_PATH="/usr/lib64/dri:/usr/lib32/dri"
LINGUAS="it en"
LOGNAME="francesco"
LS_COLORS="no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;
05;37;41:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.zip=01;31:
*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:
*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:
*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:
*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:
*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.pdf=00;32:
*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:
*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:"
MAKEOPTS="-j3"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:
/usr/share/binutils-data/x86_64-pc-linux-gnu/2.16.1/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.1.2/man:
/opt/blackdown-jdk-1.4.2.03/man:/etc/java-config/system-vm/man/:/usr/lib64/php5/man/:/usr/kde/3.5/share/man:/usr/qt/3/doc/man"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib /usr/lib /usr/kde/*/lib /usr/qt/*/lib /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage)"
OPENGL_PROFILE="ati"
PAGER="/usr/bin/less"
PATH="/usr/kde/3.5/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.1.2:
/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/kde/3.5/bin:/usr/qt/3/bin:/usr/libexec/gpc/x86_64-pc-linux-gnu/3.4:/usr/games/bin"
PKGDIR="/usr/portage/packages"
PKG_CONFIG_PATH="/usr/qt/3/lib64/pkgconfig:/usr/qt/3/lib32/pkgconfig"
PORTAGE_ARCHLIST="ppc s390 amd64 x86 ppc64 x86-fbsd m68k arm sparc sh mips ia64 alpha ppc-macos hppa sparc-fbsd"
PORTAGE_BINHOST="http://mirror.ing.unibo.it/gentoo/distfiles/"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error"
PORTAGE_ELOG_MAILFROM="portage"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save_summary echo"
PORTAGE_GID="250"
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_RSYNC_RETRIES="3"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/layman/xeffects"
PRELINK_PATH_MASK="/usr/lib/gstreamer-0.10"
PWD="/home/francesco"
PYTHONPATH="/usr/lib64/portage/pym"
QMAKESPEC="linux-g++"
QTDIR="/usr/qt/3"
RESUMECOMMAND="/usr/bin/wget -c -t 5 -T 60 --passive-ftp -O ${DISTDIR}/${FILE} ${URI}"
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.1.2:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:
/usr/kde/3.5/sbin:/usr/kde/3.5/bin:/usr/qt/3/bin:/usr/libexec/gpc/x86_64-pc-linux-gnu/3.4"
RPMDIR="/usr/portage/rpm"
SESSION_MANAGER="local/localhost:/tmp/.ICE-unix/5635"
SHELL="/bin/bash"
SHLVL="3"
STAGE1_USE="nptl nptlonly unicode"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
TERM="xterm"
USE="X acl acpi alsa amarok amd64 arts berkdb bitmap-fonts cairo cdr cli cracklib crypt cups dbus dri dv dvd dvdr dvdread eds emboss encode esd evo fam firefox fortran gdbm gif glitz gpm gstreamer hal iconv ieee1394 ipod ipv6 isdnlog jpeg kde kerberos ldap lm_sensors mad midi mikmod mmx mp3 mpeg mudflap ncurses njb nls nptl nptlonly ogg opengl openmp oss pam pcre pdf perl png pppd python qt3 qt3support qt4 quicktime readline reflection sdl sensord session spell spl sse sse2 ssl svg tcpd tiff truetype truetype-fonts type1-fonts unicode vorbis xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="g15" LINGUAS="it en" USERLAND="GNU" VIDEO_CARDS="fglrx vesa"
USER="francesco"
USERLAND="GNU"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS CAMERAS CROSSCOMPILE_OPTS DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS USERLAND VIDEO_CARDS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:env.d"
VIDEO_CARDS="fglrx vesa"
VMHANDLE="blackdown-jdk-1.4.2"
WINDOWID="16777221"
XARGS="xargs -r"
XCURSOR_THEME="default"
XDG_CONFIG_DIRS="/usr/kde/3.5/etc/xdg"
XDG_DATA_DIRS="/usr/share:/usr/kde/3.5/share:/usr/local/share"
XDM_MANAGED="/var/run/xdmctl/xdmctl-:0,maysd,mayfn,sched,rsvd,method=classic"
_="/usr/bin/emerge"


Cosa posso fare? In /usr/lib64 ho tcl8.5 e tk8.5 (compilati a mano perché non presenti in portage) perché mi servono per attivare l'antialiasing su aMsn. C'è un modo di risolvere il problema senza rimuoverli? Grazie in anticipo.

EDIT: Mi scuso per la pessima formattazione della pagina, ma non ho trovato modi per migliorare la situazione.

Aggiungo l'errore datomi da gnome-icon-theme:

Quote:
Can't locate object method "new" via package "XML::LibXML::SAX::Parser" at /usr/lib64/perl5/vendor_perl/5.8.8/XML/SAX/ParserFactory.pm line 43.
make[3]: *** [install-data-local] Error 2
make[3]: Leaving directory `/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/work/gnome-icon-theme-2.18.0/8x8/emblems'
make[2]: *** [install-am] Error 2
make[2]: Leaving directory `/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/work/gnome-icon-theme-2.18.0/8x8/emblems'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/work/gnome-icon-theme-2.18.0/8x8'
make: *** [install-recursive] Error 1
*
* ERROR: x11-themes/gnome-icon-theme-2.18.0 failed.
* Call stack:
* ebuild.sh, line 1654: Called dyn_install
* ebuild.sh, line 1089: Called qa_call 'src_install'
* ebuild.sh, line 44: Called src_install
* ebuild.sh, line 1334: Called gnome2_src_install
* gnome2.eclass, line 85: Called die
*
* install failed
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/temp/build.log'.
*

* Messages for package x11-themes/gnome-icon-theme-2.18.0:

*
* ERROR: x11-themes/gnome-icon-theme-2.18.0 failed.
* Call stack:
* ebuild.sh, line 1654: Called dyn_install
* ebuild.sh, line 1089: Called qa_call 'src_install'
* ebuild.sh, line 44: Called src_install
* ebuild.sh, line 1334: Called gnome2_src_install
* gnome2.eclass, line 85: Called die
*
* install failed
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/x11-themes/gnome-icon-theme-2.18.0/temp/build.log'.
*


E anche quello di openoffice.org:

Quote:
checking for required Perl modules... Can't locate Compress/Raw/Zlib.pm in @INC (@INC contains: /etc/perl /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.8 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.8 /usr/lib64/perl5/site_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi /usr/lib64/perl5/5.8.8 /usr/local/lib/site_perl .) at /usr/lib64/perl5/vendor_perl/5.8.8/Compress/Zlib.pm line 12.
BEGIN failed--compilation aborted at /usr/lib64/perl5/vendor_perl/5.8.8/Compress/Zlib.pm line 12.
Compilation failed in require at /usr/lib64/perl5/vendor_perl/5.8.8/Archive/Zip.pm line 24.
BEGIN failed--compilation aborted at /usr/lib64/perl5/vendor_perl/5.8.8/Archive/Zip.pm line 24.
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.
configure: error: Failed to find some modules
make: *** [stamp/build] Error 1
*
* ERROR: app-office/openoffice-2.3.0 failed.
* Call stack:
* ebuild.sh, line 1654: Called dyn_compile
* ebuild.sh, line 990: Called qa_call 'src_compile'
* ebuild.sh, line 44: Called src_compile
* openoffice-2.3.0.ebuild, line 338: Called die
*
* Build failed
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/app-office/openoffice-2.3.0/temp/build.log'.
*
!!! When you file a bug report, please include the following information:
GENTOO_VM=blackdown-jdk-1.4.2 CLASSPATH="." JAVA_HOME="/opt/blackdown-jdk-1.4.2.03"
JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
and of course, the output of emerge --info

* Messages for package x11-libs/qt-3.3.8-r4:

* After a rebuild of Qt, it can happen that Qt plugins (such as Qt/KDE styles,
* or widgets for the Qt designer) are no longer recognized. If this situation
* occurs you should recompile the packages providing these plugins,
* and you should also make sure that Qt and its plugins were compiled with the
* same version of gcc. Packages that may need to be rebuilt are, for instance,
* kde-base/kdelibs, kde-base/kdeartwork and kde-base/kdeartwork-styles.
* See http://doc.trolltech.com/3.3/plugins-howto.html for more infos.

* Messages for package app-office/openoffice-2.3.0:

*
* It is important to note that OpenOffice.org is a very fragile
* build when it comes to CFLAGS. A number of flags have already
* been filtered out. If you experience difficulty merging this
* package and use agressive CFLAGS, lower the CFLAGS and try to
* merge again. Also note that building OOo takes a lot of time and
* hardware ressources: 4-6 GB free diskspace and 256 MB RAM are
* the minimum requirements. If you have less, use openoffice-bin
* instead.
*
*
* ERROR: app-office/openoffice-2.3.0 failed.
* Call stack:
* ebuild.sh, line 1654: Called dyn_compile
* ebuild.sh, line 990: Called qa_call 'src_compile'
* ebuild.sh, line 44: Called src_compile
* openoffice-2.3.0.ebuild, line 338: Called die
*
* Build failed
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/app-office/openoffice-2.3.0/temp/build.log'.
*


Last edited by Crowbar90 on Fri Sep 21, 2007 12:23 pm; edited 1 time in total
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Sep 21, 2007 3:55 am    Post subject: Reply with quote

hai problemi di XML.
dovrebbero essere legati alla questione di expat.
la soluzione starebbe nel comando:
Code:

revdep-rebuild -X

magari, la prima volta chiamalo con l'opzione -pv, in modo che ti prepari psicologicamente.

se possibile, taglia le righe troppo lunghe dei tuoi \[code\], altrimenti esplode il layout del phpBB.
per farlo puoi editare il vecchio post cliccando sul pulsante in alto a destra.
... un po' più a destra.
... ancora un po' più a destra.
... più a destra ancora.

insomma, fai un passeggiata a destra e torna quando lo hai trovato :)
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Crowbar90
n00b
n00b


Joined: 20 Sep 2007
Posts: 16
Location: Bologna, Italy

PostPosted: Fri Sep 21, 2007 2:18 pm    Post subject: Reply with quote

Grazie per la risposta, ho editato la formattazione del messaggio precedente. Con revdep-rebuild -X ha provato ad emergermi openoffice-2.2.1 (strano, dato che è disponibile la 2.3.0), ma la compilazione non è andata a buon fine, come prevedibile. Ho quindi provato ad emergere di nuovo expat, e ho letto il messaggio alla fine che mi consigliava di eseguire revdep-rebuild -X --library libexpat.so.0, quando l'ho aggiornato tempo fa non me ne ero accorto (forse perché non ero al pc). Adesso sto emergendo alcuni pacchetti, sembra che non ci siano problemi, appena ho finito edito il messaggio.
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Sep 21, 2007 2:29 pm    Post subject: Reply with quote

Crowbar90 wrote:
Ho quindi provato ad emergere di nuovo expat, e ho letto il messaggio alla fine ...

:wink:
al termine, può essere utile ridare un `revdep-rebuild -X` ancora una volta, fino ad avere un output privo di warning.
ciò perchè le dipendenze di expat sono molto complesse e coinvolgono quasi tutto il sistema.
vedi anche la guida ufficiale.

i sorgenti di openoffice non sono ancora presenti nella versione 2.3. Puoi installare però i binari, che è anche meglio:
Code:

s939 ~ # emerge -pv openoffice-bin

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-office/openoffice-bin-2.3.0
...

_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Crowbar90
n00b
n00b


Joined: 20 Sep 2007
Posts: 16
Location: Bologna, Italy

PostPosted: Fri Sep 21, 2007 2:42 pm    Post subject: Reply with quote

Avevo installato i binari tempo fa, però avevano un'interfaccia grafica che stonava moltissimo con le mie altre applicazioni, per cui ho inserito "app-office/openoffice ~amd64" in package.keywords, forse è per quello che durante l'update mi mostra già la 2.3? E comunque perché dici che sono meglio i binari? Se non sbaglio dovrebbe essere anche più ottimizzato un programma compilato da sorgenti...
Back to top
View user's profile Send private message
Crowbar90
n00b
n00b


Joined: 20 Sep 2007
Posts: 16
Location: Bologna, Italy

PostPosted: Fri Sep 21, 2007 4:25 pm    Post subject: Reply with quote

Purtroppo i miei errori non sono minimamente cambiati, inoltre revdep-rebuild mi segnala che ci sono due librerie non a posto ma non esegue emerge (dovrebbe comunque emergere openoffice, che non funziona). Idee?
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Sep 21, 2007 4:41 pm    Post subject: Reply with quote

non ho detto che sono meglio i binari. ho detto che i sorgenti del 2.3 non ci sono proprio.
probabilmente usciranno tra qualche giorno.
usa `eix` o `esearch` per avere informazioni sui pacchetti disponibili.

la questione di cosa sia meglio è controversa. per quanto mi riguarda, dubito che le mie installazioni siano migliori di quelle degli ingenieri delle altre distribuzioni, il caso di openoffice, poi, è particolare per la dimensione e la complessità del pacchetto. ci sarà una ragione se gentoo lo distribuisce in forma binaria.

non confondere il problema expat con quello openoffice.
il tuo ultimo post è criptico e non si capisce bene il problema. magari posta la partte interessante del tuo ouput.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Crowbar90
n00b
n00b


Joined: 20 Sep 2007
Posts: 16
Location: Bologna, Italy

PostPosted: Sat Sep 22, 2007 3:52 pm    Post subject: Reply with quote

Scusa per la poca chiarezza nel messaggio di prima, questo è l'output di revdep-rebuild:

Code:
localhost francesco # revdep-rebuild -X
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
  (/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
  broken /usr/lib64/openoffice/program/libucpftp1.so (requires  libcurl.so.3)
  broken /usr/lib/openoffice/program/libucpftp1.so (requires  libcurl.so.3)
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to packages...
  /usr/lib64/openoffice/program/libucpftp1.so -> app-office/openoffice
  /usr/lib/openoffice/program/libucpftp1.so -> app-office/openoffice
 done.
  (/root/.revdep-rebuild.4_packages_raw, /root/.revdep-rebuild.4_package_owners)

Cleaning list of packages to rebuild... done.
  (/root/.revdep-rebuild.4_packages)

Assigning packages to ebuilds... done.
  (/root/.revdep-rebuild.4_ebuilds)

Evaluating package order... done.
  (/root/.revdep-rebuild.5_order)

Dynamic linking on your system is consistent... All done.
Da quello che capisco io, ci sono due dipendenze rotte, ma non capisco perché non venga eseguito il merge di nessun pacchetto.

Ah, non per insistere, ma a proposito di openoffice:

Code:
localhost francesco # emerge -pv openoffice

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] app-office/openoffice-2.3.0 [2.2.1] USE="cairo cups dbus eds firefox gstreamer java* kde ldap pam sound* -binfilter -debug -gnome -gtk -mono -odk -seamonkey -webdav -xulrunner% (-branding%)" LINGUAS="en it -af -ar -as_IN -be_BY -bg -bn -br -bs -ca -cs -cy -da -de -dz -el -en_GB -en_US -en_ZA -eo -es -et -fa -fi -fr -ga -gl -gu_IN -he -hi_IN -hr -hu -ja -km -ko -ku -lt -lv -mk -ml_IN -mr_IN -nb -ne -nl -nn -nr -ns -or_IN -pa_IN -pl -pt -pt_BR -ru -rw -sh_YU -sk -sl -sr_CS -ss -st -sv -sw_TZ -ta_IN -te_IN -tg -th -ti_ER -tn -tr -ts -uk -ur_IN -ve -vi -xh -zh_CN -zh_TW -zu" 0 kB

Total: 1 package (1 upgrade), Size of downloads: 0 kB
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Sat Sep 22, 2007 4:37 pm    Post subject: Reply with quote

Crowbar90 wrote:

Ah, non per insistere, ma a proposito di openoffice:

ok. mi arrendo. adesso anche io ce l'ho in portage.
Crowbar90 wrote:
Scusa per la poca chiarezza nel messaggio di prima, questo è l'output di revdep-rebuild:
Da quello che capisco io, ci sono due dipendenze rotte, ma non capisco perché non venga eseguito il merge di nessun pacchetto.

grazie. l'output era proprio necessario per dire qualcosa.
sono daccordo con te.
le librerie sono rotte perché adesso tu hai la versione successiva di libcurl (.4).
la ragione per cui non viene proposta la ricompilazione mi sfugge. tanto più che openoffice è esplicitamente riconosciuto come proprietario del pacchetto rotto. mi viene da pensare che per qualche motivo non sia presente nel tuo file world.

a questo punto lascerei perdere e installerei il binario, per proseguire la compilazione di tutto il resto (mi pare che tu abbia ancora cosa da fare). ritornaci quando hai un sistema consistente negli altri particolari.
secondo me, infatti, gli errori sono di natura diversa. quello di gnome-icon-theme è abbastanza chiaramente riconducibile al discorso expat, l'altro non so. magari hai bisogno di un perl-cleaner (usa il --help prima di partire).
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Sat Sep 22, 2007 6:08 pm    Post subject: Reply with quote

a parte la rogna di expat c'è quella delle dtd xml/sgml che revdep-rebuild non rileva (e visto che mi sento cattivo il post non lo ripeto e non lo cito) e che con qualche recente aggiornamento sono andate in gloria.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Crowbar90
n00b
n00b


Joined: 20 Sep 2007
Posts: 16
Location: Bologna, Italy

PostPosted: Mon Sep 24, 2007 12:29 pm    Post subject: Reply with quote

djinnZ wrote:
a parte la rogna di expat c'è quella delle dtd xml/sgml che revdep-rebuild non rileva (e visto che mi sento cattivo il post non lo ripeto e non lo cito) e che con qualche recente aggiornamento sono andate in gloria.
Ho cercato ma non ho trovato nessuna informazione a riguardo, potresti essere più preciso?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum